Bug 141951 - New port: chinese/ibus-chewing Chewing engine for IBus
Summary: New port: chinese/ibus-chewing Chewing engine for IBus
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-24 15:00 UTC by Eric L. Chen
Modified: 2009-12-27 10:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.52 KB, text/plain)
2009-12-24 15:00 UTC, Eric L. Chen
no flags Details
ibus-chewing.shar.txt (2.57 KB, text/plain)
2009-12-25 16:26 UTC, Eric L. Chen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric L. Chen 2009-12-24 15:00:17 UTC
Add eew port: chinese/ibus-chewing.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2009-12-24 16:05:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 wenheping 2009-12-25 12:06:07 UTC
Hi,


   The build failed as below, would you have a check of it
and fix it ?


wen



building zh-ibus-chewing-1.2.0.20090817 in directory
/usr/local/tinderbox/9.0-FreeBSD
build started at Fri Dec 25 08:51:35 UTC 2009
port directory: /usr/ports/chinese/ibus-chewing
building for:  9.0-CURRENT i386
maintained by: lihong@ieee.org
ident warning: no id keywords in /usr/ports/chinese/ibus-chewing/Makefile
Makefile ident:
prefixes: LOCALBASE=usr/local X11BASE=usr/local PREFIX=/usr/local
Begin Configuration:
---Begin Environment---
ARCH=i386
PACKAGE_BUILDING=1
USER=root
CCACHE_DIR=
BRANCH=CURRENT
CCACHE_NOLINK=1
HOST_WORKDIR=
X11BASE=/usr/local
BATCH=1
OLDPWD=/
HOME=/root
PKGZIPCMD=bzip2
HAVE_MOTIF=1
FTP_TIMEOUT=900
HTTP_TIMEOUT=900
defaultUpdateHost=cvsup.FreeBSDChina.org
pb=/usr/local/tinderbox
DISTFILE_CACHE=/usr/ports/distfiles
OSREL=9.0
defaultUpdateType=CSUP
TINDERD_LOGFILE=/dev/null
PORTOBJFORMAT=elf
WRKDIRPREFIX=/work
DISTDIR=/tmp/distfiles
DISTCACHE=/distcache
CCACHE_LOGFILE=
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/local/bin
PACKAGES=/tmp/packages
TIMEOUT=7200
PKGSUFFIX=.tbz
OSVERSION=900002
OPTIONS_ENABLED=0
__DSVERSION__=3.2
TINDERD_SLEEPTIME=120
UNAME_n=tinderbox.host
__MKLVL__=1
CCACHE_JAIL=0
LOCALBASE=/usr/local
CCACHE_MAX_SIZE=1G
DISTFILE_URI=
X_WINDOW_SYSTEM=xorg
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
OPTIONS_DIR=
UNAME_r=9.0-CURRENT
USA_RESIDENT=YES
UNAME_s=FreeBSD
PARALLEL_PACKAGE_BUILD=1
PWD=/usr/ports/chinese/ibus-chewing
UNAME_v=FreeBSD 9.0-CURRENT #0: Fri Dec 25 16:36:55 CST 2009
root@tinderbox.host:/usr/src/sys/magic/kernel/path
FTP_PASSIVE_MODE=yes
CCACHE_ENABLED=0
INDEXFILE=INDEX-9
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

End Configuration.
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=recordproto-1.13.2.tbz inputproto-1.5.0.tbz
libX11-1.2.1_1,1.tbz libXext-1.0.5,1.tbz pkg-config-0.23_1.tbz
libxcb-1.5.tbz kbproto-1.0.3.tbz libXau-1.0.4.tbz libXdmcp-1.0.2_1.tbz
xproto-7.0.15.tbz xextproto-7.0.5.tbz libpthread-stubs-0.3_3.tbz
libXtst-1.0.3_1.tbz libiconv-1.13.1.tbz p5-XML-Parser-2.36_1.tbz
perl-5.8.9_3.tbz expat-2.0.1_1.tbz intltool-0.40.6.tbz
cmake-2.8.0_1.tbz zh-libchewing-0.3.2.tbz gettext-0.17_1.tbz
glib-2.22.3.tbz gio-fam-backend-2.22.3.tbz pcre-8.00.tbz
python26-2.6.4.tbz gamin-0.1.10_3.tbz atk-1.28.0.tbz
dbus-glib-0.82.tbz polkit-0.95_2.tbz gtk-2.18.5.tbz libIDL-0.8.13.tbz
libxml2-2.7.6_1.tbz ORBit2-2.14.17.tbz pango-1.26.2.tbz
gnomehier-2.3_12.tbz dbus-1.2.16_1.tbz eggdbus-0.6.tbz
gobject-introspection-0.6.7.tbz png-1.2.40.tbz tiff-3.9.2.tbz
jpeg-7.tbz jasper-1.900.1_8.tbz shared-mime-info-0.70.tbz
hicolor-icon-theme-0.11.tbz libXrender-0.9.4_1.tbz
libXinerama-1.0.3,1.tbz libXi-1.2.1,1.tbz libXrandr-1.3.0.tbz
libXcursor-1.1.9_1.tbz libXfixes-4.0.3_1.tbz libXdamage-1.1.1.tbz
libXcomposite-0.4.0,1.tbz cairo-1.8.8,1.tbz
xorg-fonts-truetype-7.4.tbz encodings-1.0.2,1.tbz libXft-2.1.14.tbz
gnome_subr-1.0.tbz libffi-3.0.8.tbz bison-2.4.1,1.tbz jbigkit-1.6.tbz
renderproto-0.9.3.tbz xineramaproto-1.1.2.tbz randrproto-1.3.0.tbz
fixesproto-4.0.tbz damageproto-1.1.0_2.tbz compositeproto-0.4.tbz
freetype2-2.3.11.tbz fontconfig-2.8.0,1.tbz pixman-0.16.0.tbz
xcb-util-0.3.6_1.tbz font-bh-ttf-1.0.0.tbz
font-misc-meltho-1.0.0_1.tbz font-misc-ethiopic-1.0.0.tbz
bitstream-vera-1.10_4.tbz font-util-1.0.1.tbz m4-1.4.13,1.tbz
mkfontdir-1.0.4.tbz mkfontscale-1.0.6.tbz libfontenc-1.0.4.tbz
gconf2-2.28.0.tbz
RUN_DEPENDS=pkg-config-0.23_1.tbz zh-libchewing-0.3.2.tbz
libiconv-1.13.1.tbz gettext-0.17_1.tbz glib-2.22.3.tbz
gio-fam-backend-2.22.3.tbz pcre-8.00.tbz python26-2.6.4.tbz
perl-5.8.9_3.tbz gamin-0.1.10_3.tbz atk-1.28.0.tbz dbus-glib-0.82.tbz
polkit-0.95_2.tbz gtk-2.18.5.tbz libIDL-0.8.13.tbz libxml2-2.7.6_1.tbz
ORBit2-2.14.17.tbz pango-1.26.2.tbz gnomehier-2.3_12.tbz
dbus-1.2.16_1.tbz eggdbus-0.6.tbz expat-2.0.1_1.tbz
gobject-introspection-0.6.7.tbz png-1.2.40.tbz tiff-3.9.2.tbz
jpeg-7.tbz jasper-1.900.1_8.tbz shared-mime-info-0.70.tbz
hicolor-icon-theme-0.11.tbz libXext-1.0.5,1.tbz libXrender-0.9.4_1.tbz
libX11-1.2.1_1,1.tbz libXinerama-1.0.3,1.tbz libXi-1.2.1,1.tbz
libXrandr-1.3.0.tbz libXcursor-1.1.9_1.tbz libXfixes-4.0.3_1.tbz
libXdamage-1.1.1.tbz libXcomposite-0.4.0,1.tbz cairo-1.8.8,1.tbz
xorg-fonts-truetype-7.4.tbz encodings-1.0.2,1.tbz libXft-2.1.14.tbz
gnome_subr-1.0.tbz libffi-3.0.8.tbz bison-2.4.1,1.tbz jbigkit-1.6.tbz
xextproto-7.0.5.tbz xproto-7.0.15.tbz libXau-1.0.4.tbz
renderproto-0.9.3.tbz libxcb-1.5.tbz kbproto-1.0.3.tbz
libXdmcp-1.0.2_1.tbz xineramaproto-1.1.2.tbz inputproto-1.5.0.tbz
randrproto-1.3.0.tbz fixesproto-4.0.tbz damageproto-1.1.0_2.tbz
compositeproto-0.4.tbz freetype2-2.3.11.tbz fontconfig-2.8.0,1.tbz
pixman-0.16.0.tbz xcb-util-0.3.6_1.tbz font-bh-ttf-1.0.0.tbz
font-misc-meltho-1.0.0_1.tbz font-misc-ethiopic-1.0.0.tbz
bitstream-vera-1.10_4.tbz font-util-1.0.1.tbz m4-1.4.13,1.tbz
libpthread-stubs-0.3_3.tbz mkfontdir-1.0.4.tbz mkfontscale-1.0.6.tbz
libfontenc-1.0.4.tbz gconf2-2.28.0.tbz libglade2-2.6.4_1.tbz
py26-dbus-0.83.0_1.tbz py26-xdg-0.18.tbz iso-codes-3.11.1.tbz
py26-gtk-2.16.0.tbz xmlcatmgr-2.2.tbz py26-numeric-24.2_3.tbz
py26-cairo-1.8.8.tbz py26-gobject-2.20.0.tbz ibus-1.2.0.20091024.tbz
recordproto-1.13.2.tbz libXtst-1.0.3_1.tbz
add_pkg
================================================================
====================<phase 1: make checksum>====================
=> definite-ibus-chewing-8dd0478.tar.gz doesn't seem to exist in
/tmp/distfiles/.
=> Attempting to fetch from file:///distcache//.
definite-ibus-chewing-8dd0478.tar.gz                    53 kB 4949 kBps
=> MD5 Checksum OK for definite-ibus-chewing-8dd0478.tar.gz.
=> SHA256 Checksum OK for definite-ibus-chewing-8dd0478.tar.gz.
================================================================
====================<phase 2: make extract>====================
add_pkg
===>  Extracting for zh-ibus-chewing-1.2.0.20090817
=> MD5 Checksum OK for definite-ibus-chewing-8dd0478.tar.gz.
=> SHA256 Checksum OK for definite-ibus-chewing-8dd0478.tar.gz.
================================================================
====================<phase 3: make patch>====================
add_pkg
===>  Patching for zh-ibus-chewing-1.2.0.20090817
================================================================
====================<phase 4: make build>====================
add_pkg recordproto-1.13.2.tbz inputproto-1.5.0.tbz
libX11-1.2.1_1,1.tbz libXext-1.0.5,1.tbz pkg-config-0.23_1.tbz
libxcb-1.5.tbz kbproto-1.0.3.tbz libXau-1.0.4.tbz libXdmcp-1.0.2_1.tbz
xproto-7.0.15.tbz xextproto-7.0.5.tbz libpthread-stubs-0.3_3.tbz
libXtst-1.0.3_1.tbz libiconv-1.13.1.tbz p5-XML-Parser-2.36_1.tbz
perl-5.8.9_3.tbz expat-2.0.1_1.tbz intltool-0.40.6.tbz
cmake-2.8.0_1.tbz zh-libchewing-0.3.2.tbz gettext-0.17_1.tbz
glib-2.22.3.tbz gio-fam-backend-2.22.3.tbz pcre-8.00.tbz
python26-2.6.4.tbz gamin-0.1.10_3.tbz atk-1.28.0.tbz
dbus-glib-0.82.tbz polkit-0.95_2.tbz gtk-2.18.5.tbz libIDL-0.8.13.tbz
libxml2-2.7.6_1.tbz ORBit2-2.14.17.tbz pango-1.26.2.tbz
gnomehier-2.3_12.tbz dbus-1.2.16_1.tbz eggdbus-0.6.tbz
gobject-introspection-0.6.7.tbz png-1.2.40.tbz tiff-3.9.2.tbz
jpeg-7.tbz jasper-1.900.1_8.tbz shared-mime-info-0.70.tbz
hicolor-icon-theme-0.11.tbz libXrender-0.9.4_1.tbz
libXinerama-1.0.3,1.tbz libXi-1.2.1,1.tbz libXrandr-1.3.0.tbz
libXcursor-1.1.9_1.tbz libXfixes-4.0.3_1.tbz libXdamage-1.1.1.tbz
libXcomposite-0.4.0,1.tbz cairo-1.8.8,1.tbz
xorg-fonts-truetype-7.4.tbz encodings-1.0.2,1.tbz libXft-2.1.14.tbz
gnome_subr-1.0.tbz libffi-3.0.8.tbz bison-2.4.1,1.tbz jbigkit-1.6.tbz
renderproto-0.9.3.tbz xineramaproto-1.1.2.tbz randrproto-1.3.0.tbz
fixesproto-4.0.tbz damageproto-1.1.0_2.tbz compositeproto-0.4.tbz
freetype2-2.3.11.tbz fontconfig-2.8.0,1.tbz pixman-0.16.0.tbz
xcb-util-0.3.6_1.tbz font-bh-ttf-1.0.0.tbz
font-misc-meltho-1.0.0_1.tbz font-misc-ethiopic-1.0.0.tbz
bitstream-vera-1.10_4.tbz font-util-1.0.1.tbz m4-1.4.13,1.tbz
mkfontdir-1.0.4.tbz mkfontscale-1.0.6.tbz libfontenc-1.0.4.tbz
gconf2-2.28.0.tbz
adding dependencies
pkg_add recordproto-1.13.2.tbz
pkg_add inputproto-1.5.0.tbz
pkg_add libX11-1.2.1_1,1.tbz


*****************************************************************
Although libxcb can yield dramatic improvements in speed,
memory footprint, and responsiveness, and will probably
become the default Xlib for X.org/freedesktop.org, it is
still experimental software.  Some broken callers will abort()
on locking assertion failures.  As a temporary workaround, set
LIBXCB_ALLOW_SLOPPY_LOCK in your environment to skip the abort().
This may result in noisy stacktrace printing.
*****************************************************************

pkg_add libXext-1.0.5,1.tbz
pkg_add pkg-config-0.23_1.tbz
skipping pkg-config-0.23_1, already added
pkg_add libxcb-1.5.tbz
skipping libxcb-1.5, already added
pkg_add kbproto-1.0.3.tbz
skipping kbproto-1.0.3, already added
pkg_add libXau-1.0.4.tbz
skipping libXau-1.0.4, already added
pkg_add libXdmcp-1.0.2_1.tbz
skipping libXdmcp-1.0.2_1, already added
pkg_add xproto-7.0.15.tbz
skipping xproto-7.0.15, already added
pkg_add xextproto-7.0.5.tbz
skipping xextproto-7.0.5, already added
pkg_add libpthread-stubs-0.3_3.tbz
skipping libpthread-stubs-0.3_3, already added
pkg_add libXtst-1.0.3_1.tbz
pkg_add libiconv-1.13.1.tbz
pkg_add p5-XML-Parser-2.36_1.tbz
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.8.9 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.8.9 to /usr/bin/perl5
Done.
Cleaning up /etc/make.conf... Done.
Spamming /etc/make.conf... Done.
Cleaning up /etc/manpath.config... Done.
Spamming /etc/manpath.config... Done.
pkg_add perl-5.8.9_3.tbz
skipping perl-5.8.9_3, already added
pkg_add expat-2.0.1_1.tbz
skipping expat-2.0.1_1, already added
pkg_add intltool-0.40.6.tbz
pkg_add cmake-2.8.0_1.tbz
pkg_add zh-libchewing-0.3.2.tbz
pkg_add gettext-0.17_1.tbz
pkg_add glib-2.22.3.tbz

====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3		databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====

pkg_add gio-fam-backend-2.22.3.tbz

===============================================================================

Gamin will only provide realtime notification of changes for at most n files,
where n is the minimum value between (kern.maxfiles * 0.7) and
(kern.maxfilesperproc - 200). Beyond that limit, files will be polled.

If you often open several large folders with Nautilus, you might want to
increase the kern.maxfiles tunable (you do not need to set
kern.maxfilesperproc, since it is computed at boot time from kern.maxfiles).

For a typical desktop, add the following line to /boot/loader.conf, then
reboot the system:

    kern.maxfiles="25000"

The behavior of gamin can be controlled via the various gaminrc files.
See http://www.gnome.org/~veillard/gamin/config.html on how to create
these files.  In particular, if you find gam_server is taking up too much
CPU time polling for changes, something like the following may help
in one of the gaminrc files:

# reduce polling frequency to once per 10 seconds
# for UFS file systems in order to lower CPU load
fsset ufs poll 10

===============================================================================

pkg_add pcre-8.00.tbz
skipping pcre-8.00, already added
pkg_add python26-2.6.4.tbz
skipping python26-2.6.4, already added
pkg_add gamin-0.1.10_3.tbz
skipping gamin-0.1.10_3, already added
pkg_add atk-1.28.0.tbz
pkg_add dbus-glib-0.82.tbz
pkg_add polkit-0.95_2.tbz
pkg_add gtk-2.18.5.tbz
Running fc-cache to build fontconfig cache...
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 3 dirs
/usr/local/lib/X11/fonts/encodings: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/encodings/large: caching, new cache contents:
0 fonts, 0 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/usr/local/lib/X11/fonts/util: caching, new cache contents: 0 fonts, 0 dirs
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/var/tmp/instmp.A8vDM5/lib/X11/fonts/bitstream-vera: caching, new
cache contents: 10 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file:
deea84fa067eec67b69dab1b2344175b-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
/usr/local/bin/fc-cache: succeeded

IMPORTANT - READ CAREFULLY: Please read the COPYRIGHT included with these fonts
before using.  The copyright can be found at
/usr/local/lib/X11/fonts/bitstream-vera/COPYRIGHT.TXT.  To
use these fonts, follow the instructions below.

Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

	Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

	FontPath "/usr/local/lib/X11/fonts/bitstream-vera/"

Note: your X Windows configuration file is typically /etc/X11/xorg.conf

/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 12 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file:
bef505bb9e2149bcf158548cb765cded-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 22 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file:
d6a82a7420f683b92800b5c72e29748a-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 13 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file:
e08e430c0039b81a359824020e18a281-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 23 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
pkg_add libIDL-0.8.13.tbz
pkg_add libxml2-2.7.6_1.tbz
skipping libxml2-2.7.6_1, already added
pkg_add ORBit2-2.14.17.tbz
pkg_add pango-1.26.2.tbz
skipping pango-1.26.2, already added
pkg_add gnomehier-2.3_12.tbz
./etc/CORBA missing (created)
./etc/CORBA/servers missing (created)
./etc/X11 missing (created)
./etc/X11/serverconfig missing (created)
./etc/X11/starthere missing (created)
./etc/X11/sysconfig missing (created)
./etc/gconf missing (created)
./etc/gconf/gconf.xml.defaults missing (created)
./etc/gconf/gconf.xml.mandatory missing (created)
./etc/gconf/gconf.xml.system missing (created)
./etc/gconf/schemas missing (created)
./etc/gnome missing (created)
./etc/gnome/config missing (created)
./etc/gnome-vfs-2.0 missing (created)
./etc/gnome-vfs-2.0/modules missing (created)
./etc/sound missing (created)
./etc/sound/events missing (created)
./etc/vfs missing (created)
./etc/vfs/modules missing (created)
./etc/xdg missing (created)
./etc/xdg/autostart missing (created)
./include/gconf missing (created)
./include/gdkcardimage missing (created)
./include/gnome-1.0 missing (created)
./lib/GConf missing (created)
./lib/bonobo missing (created)
./lib/bonobo/monikers missing (created)
./lib/bonobo/plugin missing (created)
./lib/gnome-vfs-2.0 missing (created)
./lib/gnome-vfs-2.0/modules missing (created)
./lib/vfs missing (created)
./lib/vfs/modules missing (created)
./libdata/bonobo missing (created)
./libdata/bonobo/servers missing (created)
./share/applets missing (created)
./share/applets/Amusements missing (created)
./share/applets/Clocks missing (created)
./share/applets/Monitors missing (created)
./share/applets/Multimedia missing (created)
./share/applets/Network missing (created)
./share/applets/Utility missing (created)
./share/application-registry missing (created)
./share/capplets missing (created)
./share/control-center missing (created)
./share/control-center/Desktop missing (created)
./share/control-center/Documents missing (created)
./share/control-center/Peripherals missing (created)
./share/control-center/Session missing (created)
./share/control-center/capplets missing (created)
./share/control-center/keybindings missing (created)
./share/control-center-2.0 missing (created)
./share/control-center-2.0/capplets missing (created)
./share/doc/libgda missing (created)
./share/games missing (created)
./share/gnome missing (created)
./share/gnome/apps missing (created)
./share/gnome/apps/Applications missing (created)
./share/gnome/apps/Audio missing (created)
./share/gnome/apps/Development missing (created)
./share/gnome/apps/Games missing (created)
./share/gnome/apps/Graphics missing (created)
./share/gnome/apps/Internet missing (created)
./share/gnome/apps/Multimedia missing (created)
./share/gnome/apps/Settings missing (created)
./share/gnome/apps/Settings/Desktop missing (created)
./share/gnome/apps/Settings/Documents missing (created)
./share/gnome/apps/Settings/Peripherals missing (created)
./share/gnome/apps/Settings/Session missing (created)
./share/gnome/apps/System missing (created)
./share/gnome/apps/Utilities missing (created)
./share/gnome/autostart missing (created)
./share/gnome/help missing (created)
./share/gnome/help/fdl missing (created)
./share/gnome/help/fdl/C missing (created)
./share/gnome/help/gpl missing (created)
./share/gnome/help/gpl/C missing (created)
./share/gnome/help/lgpl missing (created)
./share/gnome/help/lgpl/C missing (created)
./share/gnome/panel missing (created)
./share/gnome/ui missing (created)
./share/gnome/wm-properties missing (created)
./share/gnome-2.0 missing (created)
./share/gnome-2.0/ui missing (created)
./share/gnome-about missing (created)
./share/gnome-control-center missing (created)
./share/gnome-control-center/keybindings missing (created)
./share/images missing (created)
./share/mc missing (created)
./share/mc/templates missing (created)
./share/mime-info missing (created)
./share/oaf missing (created)
./share/omf missing (created)
./share/pixmaps/document-icons missing (created)
./share/pixmaps/splash missing (created)
./share/sgml/docbook missing (created)
./share/sgml/docbook/gnome-customization-0.1 missing (created)
./share/sounds missing (created)
./share/vala missing (created)
./share/vala/vapi missing (created)
./share/vfolders missing (created)
./share/xmodmap missing (created)
pkg_add dbus-1.2.16_1.tbz
skipping dbus-1.2.16_1, already added
pkg_add eggdbus-0.6.tbz
skipping eggdbus-0.6, already added
pkg_add gobject-introspection-0.6.7.tbz
skipping gobject-introspection-0.6.7, already added
pkg_add png-1.2.40.tbz
skipping png-1.2.40, already added
pkg_add tiff-3.9.2.tbz
skipping tiff-3.9.2, already added
pkg_add jpeg-7.tbz
skipping jpeg-7, already added
pkg_add jasper-1.900.1_8.tbz
skipping jasper-1.900.1_8, already added
pkg_add shared-mime-info-0.70.tbz
skipping shared-mime-info-0.70, already added
pkg_add hicolor-icon-theme-0.11.tbz
skipping hicolor-icon-theme-0.11, already added
pkg_add libXrender-0.9.4_1.tbz
skipping libXrender-0.9.4_1, already added
pkg_add libXinerama-1.0.3,1.tbz
skipping libXinerama-1.0.3,1, already added
pkg_add libXi-1.2.1,1.tbz
skipping libXi-1.2.1,1, already added
pkg_add libXrandr-1.3.0.tbz
skipping libXrandr-1.3.0, already added
pkg_add libXcursor-1.1.9_1.tbz
skipping libXcursor-1.1.9_1, already added
pkg_add libXfixes-4.0.3_1.tbz
skipping libXfixes-4.0.3_1, already added
pkg_add libXdamage-1.1.1.tbz
skipping libXdamage-1.1.1, already added
pkg_add libXcomposite-0.4.0,1.tbz
skipping libXcomposite-0.4.0,1, already added
pkg_add cairo-1.8.8,1.tbz
skipping cairo-1.8.8,1, already added
pkg_add xorg-fonts-truetype-7.4.tbz
skipping xorg-fonts-truetype-7.4, already added
pkg_add encodings-1.0.2,1.tbz
skipping encodings-1.0.2,1, already added
pkg_add libXft-2.1.14.tbz
skipping libXft-2.1.14, already added
pkg_add gnome_subr-1.0.tbz
skipping gnome_subr-1.0, already added
pkg_add libffi-3.0.8.tbz
skipping libffi-3.0.8, already added
pkg_add bison-2.4.1,1.tbz
skipping bison-2.4.1,1, already added
pkg_add jbigkit-1.6.tbz
skipping jbigkit-1.6, already added
pkg_add renderproto-0.9.3.tbz
skipping renderproto-0.9.3, already added
pkg_add xineramaproto-1.1.2.tbz
skipping xineramaproto-1.1.2, already added
pkg_add randrproto-1.3.0.tbz
skipping randrproto-1.3.0, already added
pkg_add fixesproto-4.0.tbz
skipping fixesproto-4.0, already added
pkg_add damageproto-1.1.0_2.tbz
skipping damageproto-1.1.0_2, already added
pkg_add compositeproto-0.4.tbz
skipping compositeproto-0.4, already added
pkg_add freetype2-2.3.11.tbz
skipping freetype2-2.3.11, already added
pkg_add fontconfig-2.8.0,1.tbz
skipping fontconfig-2.8.0,1, already added
pkg_add pixman-0.16.0.tbz
skipping pixman-0.16.0, already added
pkg_add xcb-util-0.3.6_1.tbz
skipping xcb-util-0.3.6_1, already added
pkg_add font-bh-ttf-1.0.0.tbz
skipping font-bh-ttf-1.0.0, already added
pkg_add font-misc-meltho-1.0.0_1.tbz
skipping font-misc-meltho-1.0.0_1, already added
pkg_add font-misc-ethiopic-1.0.0.tbz
skipping font-misc-ethiopic-1.0.0, already added
pkg_add bitstream-vera-1.10_4.tbz
skipping bitstream-vera-1.10_4, already added
pkg_add font-util-1.0.1.tbz
skipping font-util-1.0.1, already added
pkg_add m4-1.4.13,1.tbz
skipping m4-1.4.13,1, already added
pkg_add mkfontdir-1.0.4.tbz
skipping mkfontdir-1.0.4, already added
pkg_add mkfontscale-1.0.6.tbz
skipping mkfontscale-1.0.6, already added
pkg_add libfontenc-1.0.4.tbz
skipping libfontenc-1.0.4, already added
pkg_add gconf2-2.28.0.tbz
===>   zh-ibus-chewing-1.2.0.20090817 depends on file:
/usr/local/libdata/pkgconfig/xtst.pc - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on file:
/usr/local/bin/intltool-extract - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on executable: pkg-config - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on file:
/usr/local/bin/cmake - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library:
chewing.3 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library: intl - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library:
atk-1.0.0 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library:
gconf-2.4 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library:
glib-2.0.0 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library:
gtk-x11-2.0.0 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library: IDL-2.0 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library: xml2.5 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library:
ORBit-2.0 - found
===>   zh-ibus-chewing-1.2.0.20090817 depends on shared library:
pango-1.0.0 - found
===>  Configuring for zh-ibus-chewing-1.2.0.20090817
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- checking for module 'gtk+-2.0'
--   found gtk+-2.0, version 2.18.5
-- checking for module 'ibus-1.0'
--   package 'ibus-1.0' not found
CMake Error at /usr/local/share/cmake/Modules/FindPkgConfig.cmake:259 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindPkgConfig.cmake:311
(_pkg_check_modules_internal)
  CMakeLists.txt:92 (PKG_CHECK_MODULES)


IBus compatible version:
-- checking for module 'xtst'
--   found xtst, version 1.0.3
-- checking for module 'chewing>=0.3.2'
--   found chewing, version 0.3.2
CMake Error at CMakeLists.txt:109 (MESSAGE):
  gob2 not found, install gob2 please.


-- Configuring incomplete, errors occurred!
*** Error code 1

Stop in /a/ports/chinese/ibus-chewing.
*** Error code 1

Stop in /a/ports/chinese/ibus-chewing.
================================================================
build of /usr/ports/chinese/ibus-chewing ended at Fri Dec 25 08:54:20 UTC 2009
Comment 3 Eric L. Chen 2009-12-25 16:26:07 UTC
On Fri, 2009-12-25 at 20:06 +0800, wen heping wrote:
> Hi,
> 
> 
>    The build failed as below, would you have a check of it
> and fix it ?
> 
> 
> wen
> 
--snip--
> -- checking for module 'xtst'
> --   found xtst, version 1.0.3
> -- checking for module 'chewing>=0.3.2'
> --   found chewing, version 0.3.2
> CMake Error at CMakeLists.txt:109 (MESSAGE):
>   gob2 not found, install gob2 please.
> 
--snip--
I think I forgot add gob2 depends, fixed shar is attached.

/Eric
Comment 4 dfilter service freebsd_committer 2009-12-27 10:10:51 UTC
wen         2009-12-27 10:10:36 UTC

  FreeBSD ports repository

  Modified files:
    chinese              Makefile 
  Added files:
    chinese/ibus-chewing Makefile distinfo pkg-descr pkg-plist 
  Log:
  Chewing engine for IBus.
  
  WWW: http://code.google.com/p/ibus
  
  PR:             ports/141951
  Submitted by:   "Eric L. Chen" <lihong@ieee.org>
  
  Revision  Changes    Path
  1.280     +1 -0      ports/chinese/Makefile
  1.1       +35 -0     ports/chinese/ibus-chewing/Makefile (new)
  1.1       +3 -0      ports/chinese/ibus-chewing/distinfo (new)
  1.1       +3 -0      ports/chinese/ibus-chewing/pkg-descr (new)
  1.1       +9 -0      ports/chinese/ibus-chewing/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2009-12-27 10:13:05 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!